io.netty.handler.codec.redis

## Class RedisDecoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.ByteToMessageDecoder
      - - io.netty.handler.codec.redis.RedisDecoder

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

    @UnstableApi
    public final class RedisDecoder
    extends io.netty.handler.codec.ByteToMessageDecoder

Decodes the Redis protocol into `RedisMessage` objects following RESP (REdis Serialization Protocol). `RedisMessage` parts can be aggregated to `RedisMessage` using `RedisArrayAggregator` or processed directly.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.netty.handler.codec.ByteToMessageDecoder

`io.netty.handler.codec.ByteToMessageDecoder.Cumulator`

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Field Summary

### Fields inherited from class io.netty.handler.codec.ByteToMessageDecoder

`COMPOSITE_CUMULATOR, MERGE_CUMULATOR`

### Constructor Summary

Constructors
Constructor and Description
`RedisDecoder()` Creates a new instance with default `maxInlineMessageLength` and `messagePool` and inline command decoding disabled.
`RedisDecoder(boolean decodeInlineCommands)` Creates a new instance with default `maxInlineMessageLength` and `messagePool`.
`RedisDecoder(int maxInlineMessageLength, RedisMessagePool messagePool)` Creates a new instance with inline command decoding disabled.
`RedisDecoder(int maxInlineMessageLength, RedisMessagePool messagePool, boolean decodeInlineCommands)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out)`

### Methods inherited from class io.netty.handler.codec.ByteToMessageDecoder

`actualReadableBytes, callDecode, channelInactive, channelRead, channelReadComplete, decodeLast, discardSomeReadBytes, handlerRemoved, handlerRemoved0, internalBuffer, isSingleDecode, setCumulator, setDiscardAfterReads, setSingleDecode, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerAdded, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded`

### Constructor Detail

#### RedisDecoder

    public RedisDecoder()

Creates a new instance with default `maxInlineMessageLength` and `messagePool` and inline command decoding disabled.

#### RedisDecoder

    public RedisDecoder(boolean decodeInlineCommands)

Creates a new instance with default `maxInlineMessageLength` and `messagePool`.

Parameters:
  `decodeInlineCommands` - if `true`, inline commands will be decoded.

#### RedisDecoder

    public RedisDecoder(int maxInlineMessageLength,
                        RedisMessagePool messagePool)

Creates a new instance with inline command decoding disabled.

Parameters:
  `maxInlineMessageLength` - the maximum length of inline message.
  `messagePool` - the predefined message pool.

#### RedisDecoder

    public RedisDecoder(int maxInlineMessageLength,
                        RedisMessagePool messagePool,
                        boolean decodeInlineCommands)

Creates a new instance.

Parameters:
  `maxInlineMessageLength` - the maximum length of inline message.
  `messagePool` - the predefined message pool.
  `decodeInlineCommands` - if `true`, inline commands will be decoded.

### Method Detail

#### decode

    protected void decode(io.netty.channel.ChannelHandlerContext ctx,
                          io.netty.buffer.ByteBuf in,
                          List<Object> out)
                   throws Exception

Specified by:
  `decode` in class `io.netty.handler.codec.ByteToMessageDecoder`
Throws:
  `Exception`